Section "InputDevice"
Identifier "Generic Keyboard"
Driver "kbd"
Option "XkbRules" "xorg"
Option "XkbModel" "pc105"
Option "XkbLayout" "uk"
EndSection

Section "InputDevice"
Identifier "Configured Mouse"
Driver "mouse"
Option "CorePointer"
EndSection

Section "InputDevice"
Identifier "Synaptics Touchpad"
Driver "synaptics"
Option "SendCoreEvents" "true"
Option "Device" "/dev/psaux"
Option "Protocol" "auto-dev"
Option "HorizEdgeScroll" "0"
EndSection

Section "InputDevice"
Identifier "Mouse0"
Driver "mouse"
Option "Protocol" "auto"
Option "Device" "/dev/psm0"
Option "ZAxisMapping" "4 5"
EndSection

Section "Monitor"
Identifier "Monitor0"
VendorName "Monitor Vendor"
ModelName "Monitor Model"
HorizSync 31.5 - 50
VertRefresh 50-110
EndSection

Section "Device"
### Available Driver options are:-
### Values: i: integer, f: float, bool: "True"/"False",
### string: "String", freq: "f Hz/kHz/MHz"
### [arg]: arg optional
#Option "SWcursor" # [bool]
#Option "PciRetry" # [bool]
#Option "NoAccel" # [bool]
#Option "SetMClk" # freq
#Option "MUXThreshold" # i
Option "ShadowFB" "no" # [bool]
#Option "Rotate" # [str]
#Option "VideoKey" # i
#Option "NoMMIO" # [bool]
#Option "NoPciBurst" # [bool]
#Option "MMIOonly" # [bool]
#Option "CyberShadow" # [bool]
#Option "CyberStretch" "yes" # [bool]
#Option "XvHsync" # i
#Option "XvVsync" # i
#Option "XvBskew" # i
#Option "XvRskew" # i
#Option "FpDelay" # i
#Option "Display1400" # [bool]
#Option "Display" # [str]
#Option "GammaBrightness" # [str]
#Option "TVChipset" # [str]
#Option "TVSignal" # i
Identifier "Card0"
Driver "trident"
#Driver "vesa"
VendorName "Trident Microsystems"
BoardName "Unknown Board"
BusID "PCI:1:0:0"
EndSection

Section "Screen"
Identifier "Screen0"
Device "Card0"
Monitor "Monitor0"
DefaultDepth 24
SubSection "Display"
Viewport 0 0
Depth 1
Modes "1024x768"
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 4
Modes "1024x768"
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 8
Modes "1024x768"
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 15
Modes "1024x768"
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 16
Modes "1024x768"
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 24
Modes "1024x768"
EndSubSection
EndSection

# Section "ServerLayout"
# Identifier "Default Layout"
# Screen "Default Screen"
# InputDevice "Synaptics Touchpad"
# EndSection

Section "ServerLayout"
Identifier "X.org Configured"
Screen 0 "Screen0" 0 0
InputDevice "Synaptics Touchpad"
EndSection

